Jump to content





Classic (Kamael)


KhayrusS

Recommended Posts


4 horas atrás, KhayrusS disse:

Atualização para Kamael Protocolo 228. (https://github.com/JoeAlisson/L2jOrg/releases/tag/r1.4.0-alpha)

Requisitos:

  • Java 13
  • Mysql 8

Parabéns pelo projeto irmão!

 

Por gentileza, em que pé de funcionamento está a raça kamael? A da mobius está sem as classes dos kamaels, sem spawns sem nada, só fizeram a raça conseguir ser criada basicamente..

 

A system que está no primeiro tópico já é atualizada para a versão kamael? A minha aqui está tudo em russo ;c

 

Desculpe não baixar e testar antes de perguntar, minha internet não colabora muito..

600-150RETURN.png

Link to comment
Share on other sites

9 horas atrás, Lucky disse:

Por gentileza, em que pé de funcionamento está a raça kamael? A da mobius está sem as classes dos kamaels, sem spawns sem nada, só fizeram a raça conseguir ser criada basicamente..

Está em estado inicial, pode ser criada, existe os spaws. Mas tem muitas coisas ainda a serem feitas, skills, quests, stats, etc.

 

9 horas atrás, Lucky disse:

A system que está no primeiro tópico já é atualizada para a versão kamael? A minha aqui está tudo em russo ;c

Não, não é a atualizada. Você pode usar a system do oficial.

Link to comment
Share on other sites

Sim.

http://www.mediafire.com/file/t78ud541i6guw2u/system228.zip/file

Como você está utilizando o cliente russo possa ser que haja alguma incompatibilidade com a system. Esse problema de critical error pode ser causado caso o secondary auth não esteja habilitado na system. Outra opção é desativar o secondary auth no servidor.

Edited by KhayrusS
Link to comment
Share on other sites

estou usando a system 228 que voce postou acima mais infelizmente nao ta dando para abrir o l2.ini para por o ip 127.0.0.1

Edited by [ADM]Mystogan

Conhecimento Em HTML , Multisell , SQL , DataBase e Scripts.

Link to comment
Share on other sites

A system que eu postei é do oficial, infelizmente não vai conseguir modificá-la sem remover as proteções. Mas você não precisa modificar o L2.ini para colocar o IP, existem outras formas:

  • Você pode editar o arquivo host da máquina; (não gosto muito dessa opção);
  • Pode executar o L2 pelo cmd passando o argumento IP=127.0.0.1;

Eu prefiro criar um link (shortcut) para o l2.exe e na propriedade  target eu adiciono "IP=127.0.0.1"

Link to comment
Share on other sites

Está dando erro no login server aqui para mim, testei com o client direto da NCSoft, do Lineage 2 Europe e um baixado de um forum russo, em ambos dá o mesmo erro no ls e nao chega na tela de selecionar o servidor.

 

erro ls.png

 

O engraçado é que o client russo da primeira vez ia até o secondary auth e nem ele mais ta passando do login, não mudei nada...

Edited by Lucky

600-150RETURN.png

Link to comment
Share on other sites

3 horas atrás, Lucky disse:

Está dando erro no login server aqui para mim, testei com o client direto da NCSoft, do Lineage 2 Europe e um baixado de um forum russo, em ambos dá o mesmo erro no ls e nao chega na tela de selecionar o servidor.

 

erro ls.png

 

O engraçado é que o client russo da primeira vez ia até o secondary auth e nem ele mais ta passando do login, não mudei nada...

Não tô conseguindo editar novamente a postagem.

 

Consegui fazer rodar, deletei tudo e compilei novamente e fluiu em um client em inglês que baixei aqui.. 

Agora é partir para os testes de fato.

 

Pra quem quiser: 

Client: https://fex.net/s/zmoxyz0

System: https://fex.net/s/mfsfoxa
 

  • Like 1
  • Thanks 1

600-150RETURN.png

Link to comment
Share on other sites

  • 2 months later...

Faz tempo q n mexo com L2 e tou nesse project ai, os reloads não funcionam em game ou mudou a forma?

Tambem tive mtos erros no instalar a DB com relação a duplicate key, resolvi apagando a adição de keys (n sei se ta worth)

Tambem tenho isso.
image.thumb.png.9a77929fd4fd15196765694c928bb168.png

Edited by Tinkerbell

Teamspeak Server

spacer.png

Link to comment
Share on other sites

  • 1 month later...
Em 25/01/2020 at 19:03, SageS disse:

Faz tempo q n mexo com L2 e tou nesse project ai, os reloads não funcionam em game ou mudou a forma?

Alguns funcionam, outros não.outros ainda estou refazendo.

 

Em 25/01/2020 at 19:03, SageS disse:

Tambem tive mtos erros no instalar a DB com relação a duplicate key, resolvi apagando a adição de keys (n sei se ta worth)

Sim, por enquanto elas não tem muita influência, então podem ser retiradas.

Em 25/01/2020 at 19:03, SageS disse:

Tambem tenho isso.

Esses avisos são para mostrar quais os "packets" que ainda não forma implementados, visto que é um protocolo relativamente novo é importante para  o desenvolvimento assim é possível saber qual "packet" o cliente envia em qual momento.

Link to comment
Share on other sites

  • 3 weeks later...
Em 05/04/2020 at 00:27, KhayrusS disse:

Qual o problema na compilação  ?

Já consegui amigão obrigado.

Consegui ligar o server localmente mas para acesso externo não consigo. 

Alguém sabe como colocar online.

Tenho um interlude e funciona corretamente para acesso online. 

Só que o classic kamael não consigo. 

Deve ser algum problema nas configs.

www.l2deviane.com, Freya, 15x

img.jpg

Link to comment
Share on other sites

Fala meu bom tá dando esse erro aqui...

já tentei reinstalar o java, reconfigurar as variáveis de ambiente e nada.

Starting GameServer.

Unrecognized option: --enable-preview
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

Server terminated abnormaly ...


Server terminated ...

Pressione qualquer tecla para continuar. . .
 

Link to comment
Share on other sites

Qual versão está utilizando ? Para executar última versão é necessário utilizar o Java 14, a anterior é necessário o Java 13.

Para ter certeza qual Java o seu ambiente está utilizando, você pode executar esse comando no cmd:

java -version

 

Edited by KhayrusS
Link to comment
Share on other sites

3 horas atrás, KhayrusS disse:

Qual versão está utilizando ? Para executar última versão é necessário utilizar o Java 14, a anterior é necessário o Java 13.

Para ter certeza qual Java o seu ambiente está utilizando, você pode executar esse comando no cmd:

java -version

 

estou usando o java 13

 

Link to comment
Share on other sites

  • Join now

    Be part of the largest and oldest communities about Lineage2 in Latin America.

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.